Bug 808888 - packagekitd errors from dbus-daemon in /var/log/messages
packagekitd errors from dbus-daemon in /var/log/messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 10:35 EDT by Jonathan Kamens
Modified: 2013-08-01 13:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from packagekitd --verbose (7.05 KB, text/plain)
2012-04-03 08:52 EDT, Jonathan Kamens
no flags Details
/var/log/messages (2.10 KB, text/plain)
2012-11-03 10:33 EDT, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Jonathan Kamens 2012-04-01 10:35:36 EDT
Note the third and fourth lines below.

Apr  1 10:29:55 jik2 dbus-daemon[840]: dbus[840]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  1 10:29:55 jik2 dbus[840]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  1 10:29:55 jik2 dbus-daemon[840]: (packagekitd:17171): GLib-GObject-WARNING **: invalid (NULL) pointer instance
Apr  1 10:29:55 jik2 dbus-daemon[840]: (packagekitd:17171): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Apr  1 10:29:55 jik2 dbus-daemon[840]: dbus[840]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Apr  1 10:29:55 jik2 dbus[840]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Comment 1 Jonathan Kamens 2012-04-01 10:37:50 EDT
A little while after the errors above I got this one:

Apr  1 10:35:35 jik2 dbus-daemon[840]: (packagekitd:17171): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

And now packagekitd isn't running, which makes me suspect that it's dying (unless there's something new in F17 which restarts it periodically automatically so that it doesn't need to run between software update checks).
Comment 2 Matthias Clasen 2012-04-02 19:07:52 EDT
Looks more like a packagekit issue than a dbus issue.
Comment 3 Richard Hughes 2012-04-03 06:22:13 EDT
Ouch. Can you try to get a "/usr/libexec/packagekitd --verbose" output please (as root) after killing packagekitd.
Comment 4 Jonathan Kamens 2012-04-03 08:52:46 EDT
Created attachment 574854 [details]
Log file from packagekitd --verbose

It looks like it's working despite the glib errors. See attached transcript. Why is it exiting? Does it wake up and check periodically, or is it supposed to stay running all the time?
Comment 5 Richard Hughes 2012-04-04 06:39:13 EDT
(In reply to comment #4)
> Created attachment 574854 [details]
> Log file from packagekitd --verbose

Hmm, odd. I can't see anything that can fail in the pk_engine_init() code. Could you do something like this please (after making sure that PackageKit-debuginfo installed):

sudo gdb /usr/libexec/packagekitd
b g_logv
r

And then wait for the g_critical to happen. If it breaks on a normal debug line, just do "c" to continue, and if the g_critical code is happening, please do "bt" to find out where the failure is happening. Then use "q" to quit the debugger and paste the backtrace to this bug. Thanks!

> It looks like it's working despite the glib errors. See attached transcript.
> Why is it exiting? Does it wake up and check periodically, or is it supposed to
> stay running all the time?

It's supposed to exit when idle and get auto-started when required.

Richard.
Comment 6 Jonathan Kamens 2012-04-04 11:10:07 EDT
(packagekitd:30165): GLib-GObject-WARNING **: invalid (NULL) pointer instance
[Thread 0x7fffe3fff700 (LWP 30177) exited]

Breakpoint 1, g_logv (log_domain=0x3e1ae37e24 "GLib-GObject", log_level=
    G_LOG_LEVEL_CRITICAL, format=0x3e176b5a9a "%s: assertion `%s' failed", 
    args1=args1@entry=0x7fffffffd638) at gmessages.c:661
661	{
(gdb) bt
#0  g_logv (log_domain=0x3e1ae37e24 "GLib-GObject", log_level=
    G_LOG_LEVEL_CRITICAL, format=0x3e176b5a9a "%s: assertion `%s' failed", 
    args1=args1@entry=0x7fffffffd638) at gmessages.c:661
#1  0x0000003e1764e9a2 in g_log (log_domain=log_domain@entry=
    0x3e1ae37e24 "GLib-GObject", log_level=log_level@entry=
    G_LOG_LEVEL_CRITICAL, format=format@entry=
    0x3e176b5a9a "%s: assertion `%s' failed") at gmessages.c:792
#2  0x0000003e1764e9c9 in g_return_if_fail_warning (
    log_domain=log_domain@entry=0x3e1ae37e24 "GLib-GObject", 
    pretty_function=pretty_function@entry=
    0x3e1ae3d740 "g_signal_connect_data", expression=expression@entry=
    0x3e1ae3ac88 "G_TYPE_CHECK_INSTANCE (instance)") at gmessages.c:801
#3  0x0000003e1ae2632d in g_signal_connect_data (instance=0x0, 
    detailed_signal=detailed_signal@entry=0x43e79e "g-signal", 
    c_handler=c_handler@entry=0x4314a0 <pk_network_stack_nm_dbus_signal_cb>, 
    data=data@entry=0x6590a0, destroy_data=destroy_data@entry=0, 
    connect_flags=connect_flags@entry=(unknown: 0)) at gsignal.c:2417
#4  0x000000000043105d in pk_network_stack_nm_init (nstack_nm=
    0x6590a0 [PkNetworkStackNm]) at pk-network-stack-nm.c:360
#5  0x0000003e1ae2f9e6 in g_type_create_instance (type=6724432) at gtype.c:1892
#6  0x0000003e1ae14788 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1849
#7  0x0000003e1ae16241 in g_object_newv (object_type=object_type@entry=
    6724432, n_parameters=n_parameters@entry=0, parameters=parameters@entry=
    0x0) at gobject.c:1632
#8  0x0000003e1ae1688c in g_object_new (object_type=6724432, 
    first_property_name=first_property_name@entry=0x0) at gobject.c:1542
#9  0x0000000000431709 in pk_network_stack_nm_new ()
    at pk-network-stack-nm.c:408
#10 0x0000000000422bf3 in pk_network_init (network=0x659c40 [PkNetwork])
    at pk-network.c:149
#11 0x0000003e1ae2f9e6 in g_type_create_instance (type=6723456) at gtype.c:1892
#12 0x0000003e1ae14788 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1849
#13 0x0000003e1ae16241 in g_object_newv (object_type=object_type@entry=
    6723456, n_parameters=n_parameters@entry=0, parameters=parameters@entry=
    0x0) at gobject.c:1632
#14 0x0000003e1ae1688c in g_object_new (object_type=6723456, 
    first_property_name=first_property_name@entry=0x0) at gobject.c:1542
#15 0x0000000000422ed1 in pk_network_new () at pk-network.c:202
#16 0x0000000000420793 in pk_backend_init (backend=0x661030 [PkBackend])
    at pk-backend.c:3846
#17 0x0000003e1ae2f9e6 in g_type_create_instance (type=6672368) at gtype.c:1892
#18 0x0000003e1ae14788 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1849
#19 0x0000003e1ae16241 in g_object_newv (object_type=object_type@entry=
    6672368, n_parameters=n_parameters@entry=0, parameters=parameters@entry=
    0x0) at gobject.c:1632
#20 0x0000003e1ae1688c in g_object_new (object_type=6672368, 
    first_property_name=first_property_name@entry=0x0) at gobject.c:1542
#21 0x0000000000422a91 in pk_backend_new () at pk-backend.c:3871
#22 0x000000000040d1d7 in main (argc=1, argv=0x7fffffffe448) at pk-main.c:240
Comment 7 Jonathan Kamens 2012-04-04 11:11:01 EDT
I should clarify that the warning at the top of the previous comment is the warning from the _previous_ call to g_logv.
Comment 8 Sergio Monteiro Basto 2012-11-03 10:33:09 EDT
Created attachment 637510 [details]
/var/log/messages

Hi, 
dbus-daemon[903]: (packagekitd:27101): GLib-GObject-CRITICAL **:
g_object_unref: assertion `G_IS_OBJECT (object)' failed

this happens to me today with Fedora 17 updated, and apper never ends until killall packagekitd
Comment 9 Fedora End Of Life 2013-07-04 01:50:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 13:05:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.